About torchvision.datasets

module ‘torchvision.datasets’ has no attribute ‘FashionMNIST’

What is your PyTorch version? I think the it is because FashionMNIST have not been available for your version. It is only available on Github main branch.

Probably you don’t have torchvision version 0.2.0 (conda version is still 0.1.9).

Since FashionMNIST is just a sub-class of MNIST, you can copy that part of the code and import it yourself while you wait for the official update.

How do you upgrade using conda?

you can’t really. whatever version is hosted on conda is what you have to get with conda. you can compile from source or use pip install